import request from "@/utils/request";

// 创建公众号菜单
export const createMenuByJson2 = (data) => {
  return request({
    url: `/api/wechat/wxmp/createMenuByJson2`,
    method: "POST",
    data: data
  });
};

// 获取公众号菜单列表
export const getMenu2 = () => {
  return request({
    url: `/api/wechat/wxmp/getMenu2`,
    method: "GET",
  });
};

// 公众号修改菜单
export const updateMenuByJson2 = (data) => {
  return request({
    url: `/api/wechat/wxmp/updateMenuByJson2`,
    method: "POST",
    data: data
  });
};



// 删除公众号菜单
export const deleteMenu2 = (params) => {
  return request({
    url: `/api/wechat/wxmp/deleteMenu2`,
    method: "DELETE",
    params: params
  });
};

// 获取公众号一级菜单
export const getFirstMenu = (params) => {
  return request({
    url: `/api/wechat/wxmp/getFirstMenu`,
    method: "GET",
    params: params
  });
};